fbpanel (7.0-4ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Apr 2020 18:14:06 +0200

fbpanel (7.0-4) unstable; urgency=medium

  * Fix creation template issues. Thanks Juri Grabowski! (Closes: #878186).
  * Fix typo at manpage local patch.
  * Bump up Standards-Version to 4.1.1 (no changes required).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 12 Oct 2017 08:54:27 -0300

fbpanel (7.0-3) unstable; urgency=high

  * Fix debian/copyright, include proper licenses and format.
    Thanks FrancescoPoli! (Closes: #846626).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 05 Jan 2017 20:22:14 -0300

fbpanel (7.0-2) unstable; urgency=medium

  * Restored terminal_sketch.svg and terminal_color.svg missed 
    transitioning to debhelper (Closes: #585795).
  * Refreshed local patches:
    - ftbfs-hurd.patch
    - manpage-enhance.patch
    - plugins_volume_oss+alsa_hint.patch

 -- Ulises Vitulli <dererk@debian.org>  Wed, 30 Nov 2016 10:29:14 -0300

fbpanel (7.0-1) unstable; urgency=medium

  * The long-time-expected 'we-are-back!' dupload.
  * New upstream release (Closes: #593725, #587477, #823817, #844595).
  * Transition to new dh helpers (Closes: #659751).
  * Updated package policy and build tools.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 09 May 2016 19:25:24 -0300

fbpanel (6.1-6) unstable; urgency=low

  * Fix local patched hintings on plugin/volume issue (ref: ALSA vs OSS).
  * Adopt dpkg-buildflags for hardening, build-dep on dpkg-dev (>= 1.16.1.1~).
  * Minor changes on building flags to work on a funny building suite.
  * Add lintian-overrides on unsupported hardening flags.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 26 Jun 2012 17:16:52 -0300

fbpanel (6.1-5) unstable; urgency=low

  * Provide hints on plugin/volume issue (ref: ALSA vs OSS) (Closes: #678522).
  * Drop suggestion on 'menu', thanks FrankLinPIAT (Closes: #647366).
  * Include some terminal icons, cortesy of FrancescoPoli (Closes: #585795).
  * Enabled gcc hardening flags, runtime depend on hardening-includes.
  * Runtime pre-depend on dpkg-dev, because of dpkg-maintscript-helper.
  * Bump up Standards-Version to 3.9.3 (no changes required).
  * Reformated debian/copyright following new format specification.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 25 Jun 2012 12:30:55 -0300

fbpanel (6.1-4) unstable; urgency=low

  * Fix FTBFS on hurd, patch by Samuel Thibault (Closes: #637550).
  * Bump up Standards-Version to 3.9.2 (no changes required).
  * Minor changes on pkg description.
  * Enhance porting targets on debian/rules.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 15 Aug 2011 10:55:16 -0300

fbpanel (6.1-3) unstable; urgency=low

  * The 'Third-time-lucky' dupload.
  * Fix FTBFS due to toolchain changes on X11, adds build-dep on libx11-dev
    (Closes: #618091).
  * Remove deprecated global configuration from etc (Closes: #588578).
  * Fix little typo on GUI (Closes: #590727).
  * Bump up Standards-Version to 3.9.1.

 -- Ulises Vitulli <dererk@debian.org>  Sun, 27 Mar 2011 00:05:09 -0300

fbpanel (6.1-2) unstable; urgency=low

  * Fix FTBFS on kFreeBSD due to linux-specific features (Closes: #589466).

 -- Ulises Vitulli <dererk@debian.org>  Sun, 18 Jul 2010 13:29:42 -0300

fbpanel (6.1-1) unstable; urgency=low

  * New upstream release (Closes: #587479, #589113).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 15 Jul 2010 05:13:47 -0300

fbpanel (6.0-2) unstable; urgency=low

  * Use a debian logo on default templates for menu list.
  * Use x-terminal-emulator instead of x-terminal (Closes: #585577).
  * Include upstream documentation (converted to plain text format).
  * Updated manpage options and description.
  * Bump up Standards-Version to 3.9.0.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 06 Jul 2010 02:35:37 -0300

fbpanel (6.0-1) unstable; urgency=low

  * New maintainer (Closes: #583245).
  * New upstream release (Closes: #436828, #506769, #538162, #554278). 
  * Switched to 3.0 source format.
  * Mayor package modifications:
    - Rebuilt debian/rules.
    - Drop dpatch in the way, 3.0 source format rules!
    - Changed menu file to category to Applications/System/Administration.
    - Add Homepage field.
    - Update copyright file.
    - Bump up Standards-Version to 3.8.4.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 05 Jun 2010 12:04:34 -0300

fbpanel (4.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove old /etc/menu-methods/fbpanel on purge for upgrades from etch.
    (Closes: #455025)

 -- Peter Eisentraut <petere@debian.org>  Sun, 06 Apr 2008 16:14:43 +0200

fbpanel (4.12-1) unstable; urgency=low

  * New upstream release
    - removed net-wm-state.dpatch, now included in the upstream source
  * Debian patches:
    - splitted non-standard_makefile.dpatch for better handling of debian's
      default configuration (added default-config.dpatch)
  * Added dependency for librsvg2-common (Closes: #434698)
  * Updated menu structure. Moved to Applications/System.

 -- Davide Truffa <davide@catoblepa.org>  Tue, 31 Jul 2007 19:37:05 +0200

fbpanel (4.9-2) unstable; urgency=low

  * Added genmon plugins. (Closes: #432355)
    (display the output of a program/script into the panel)
  * Fixed other minor issues:
    - transparency didn't work correctly with default configuration
    - wrong path in "fbpanel configurator"
  * Added information about dclock plugin. (Closes: #321030)

 -- Davide Truffa <davide@catoblepa.org>  Tue, 10 Jul 2007 12:23:04 +0200

fbpanel (4.9-1) unstable; urgency=low

  * New upstream release. (Closes: #391890, #426948, #427114)
  * New Maintainer.
  * Add missing binary-indep target to debian/rules. (Closes: #395685)
  * Patch from CVS: WM_STATE usage is dropped, NET_WM_STATE is used instead.
    (Closes: #404703)

 -- Davide Truffa <davide@catoblepa.org>  Wed, 04 Jul 2007 03:05:27 +0200

fbpanel (4.3-1) unstable; urgency=low

  * New upstream release.  (Closes: #314472)
    - Menu image is now a reasonable size.  (Closes: #295839)
  * Fixed typos in config/default.cfg.  (Closes: #321029)
  * Fix path locations for config files in manpage.  (Closes: #339017)
  * Use _NET_CLIENT_LIST instead _NET_CLIENT_LIST_STACKING in the taskbar.
    (Closes: #338275)
  * Remove bashism (I *really* wish {} globbing was POSIX) from debian/rules.
    (Closes: #374760)
  * Add -Wl,-export-dynamic to Makefile.common to fix up build failure.
    (Closes: #360144)

 -- Matthew Palmer <mpalmer@debian.org>  Sat, 29 Jul 2006 19:52:09 +1000

fbpanel (4.1-2) unstable; urgency=low

  * Don't signal all fbpanels to restart, because that is a dirty hack that
    doesn't work so well.  Instead, I've implemented a config file watcher.
    Closes: #299499.

 -- Matthew Palmer <mpalmer@debian.org>  Mon, 28 Mar 2005 09:45:43 +1000

fbpanel (4.1-1) unstable; urgency=low

  * New upstream release.
  * Fix up a few minor error message inaccuracies.
  * Move the menu file to /var/lib/fbpanel for policy compliance.
  * Ship a default (but empty) /var/lib/fbpanel/menu so that fbpanel will
    still start.  Closes: #288594.
  * Signal all fbpanel processes to reload the menu after running
    update-menu.  Closes: #295201.

 -- Matthew Palmer <mpalmer@debian.org>  Sat, 12 Mar 2005 20:45:06 +1100

fbpanel (4.0-1) unstable; urgency=low

  * New upstream release.

 -- Matthew Palmer <mpalmer@debian.org>  Thu, 23 Dec 2004 19:53:00 +1100

fbpanel (3.16-2) unstable; urgency=low

  * Remove bollocks dpatch Build-dep
  * Fix a erroneous warning pointing users to an incorrect config location.
    Closes: #280648.

 -- Matthew Palmer <mpalmer@debian.org>  Thu, 11 Nov 2004 21:45:09 +1100

fbpanel (3.16-1) unstable; urgency=low

  * New upstream release.  (Closes: #279525)
  * Discontinued use of dpatch; we now use feature branches for that sort of
    thing.

 -- Matthew Palmer <mpalmer@debian.org>  Sun,  7 Nov 2004 16:14:03 +1100

fbpanel (3.8-5) unstable; urgency=low

  * Fixed up another instance of explicit binary names in the default config
    file.

 -- Matthew Palmer <mpalmer@debian.org>  Sat, 14 Aug 2004 13:49:59 +1000

fbpanel (3.8-4) unstable; urgency=low

  * Changed the XTerm tool item to run x-terminal-emulator, and the Emacs
    button to run x-www-browser instead.  Closes: #264881.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 13 Aug 2004 19:36:38 +1000

fbpanel (3.8-3) unstable; urgency=low

  * Added outputencoding="UTF-8" so that accented characters appear right in
    the generated menus.  Closes: #263944.

 -- Matthew Palmer <mpalmer@debian.org>  Sat,  7 Aug 2004 09:52:56 +1000

fbpanel (3.8-2) unstable; urgency=low

  * Fixed up the menu-method file so it builds it's menus in the right
    places.  Closes: #263465.

 -- Matthew Palmer <mpalmer@debian.org>  Fri,  6 Aug 2004 18:48:22 +1000

fbpanel (3.8-1) unstable; urgency=low

  * New upstream release.  Closes: #252825.
  * Modified default config to not reference any image files in $HOME.
    Closes: #255412.
  * Removed the examples, because they're duplicated by the default config
    file and images in /usr/share/fbpanel/images.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 25 Jun 2004 22:01:53 +1000

fbpanel (3.7-3) unstable; urgency=low

  * Applied a great patch from Vincenzo Demasi <v.demasi@tiscali.it>:
     - Added Debian menu support.
     - Added a new 'include' stanza for fbpanel config files, which is used
       by the Debian menu support.
    Thanks to Vincenzo for putting it all together.  Closes: #249169.
  * Applied a patch from Shyamal Prasad <shyamalprasad@verizon.net>:
     - Modified fbpanel.1 and panel.c for configs in /etc/fbpanel
     - Placed a default config file in /etc/fbpanel/default, in case there
       there is no user-specific one.
    Thanks to Shyamal for spending the time on this issue.  Closes: #250562.
    This patch is extra-wonderful considering Vincenzo's, because we've now
    got a complete, no-user-intervention-required panel.

 -- Matthew Palmer <mpalmer@debian.org>  Mon, 24 May 2004 18:44:55 +1000

fbpanel (3.7-2) unstable; urgency=low

  * We now copy the default images into their proper location.
    Closes: #248452.

 -- Matthew Palmer <mpalmer@debian.org>  Tue, 11 May 2004 20:27:19 +1000

fbpanel (3.7-1) unstable; urgency=low

  * New upstream version.  Closes: #247625.

 -- Matthew Palmer <mpalmer@debian.org>  Mon, 10 May 2004 17:32:27 +1000

fbpanel (3.5-2) unstable; urgency=low

  * Added the manual page to the installation.  Closes: #235353.

 -- Matthew Palmer <mpalmer@debian.org>  Tue, 20 Apr 2004 21:20:36 +1000

fbpanel (3.5-1) unstable; urgency=low

  * New upstream release.  Closes: #243495.

 -- Matthew Palmer <mpalmer@debian.org>  Tue, 20 Apr 2004 20:49:20 +1000

fbpanel (2.2-1) unstable; urgency=low

  * New upstream release.  Closes: #215871.
  * Changed the order of a couple of lines of code so that it build
    correctly on older versions of gcc (useful for backports).

 -- Matthew Palmer <mpalmer@debian.org>  Wed, 19 Nov 2003 20:55:36 +1100

fbpanel (1.0-1) unstable; urgency=low

  * Initial Release.  (Closes: #193612)

 -- Matthew Palmer <mpalmer@debian.org>  Sat, 28 Jun 2003 13:36:52 +1000

